Subject: Re: [PATCHv8 5/9] submodule-config: introduce parse_generic_submodule_config

From: Jonathan Nieder <[email-masked]>
Date: Fri, 5 Feb 2016 17:23:06 -0800

Hi,

Stefan Beller wrote:

> This rewrites parse_config to distinguish between configs specific to
> one submodule and configs which apply generically to all submodules.
> We do not have generic submodule configs yet, but the next patch will
> introduce "submodule.fetchJobs".

Does this mean that options like submodule.fetchJobs can be specified
in either .gitmodules or .git/config, like the submodule.<name>.*
options?

I would expect a good value for fetchJobs to be machine-specific.
Would it work to put the submodule.fetchJobs handling in
submodule.c::submodule_config alongside fetch.recurseModules instead?

Thanks,
Jonathan